CREATE TABLE hrc_alert_recipients (
    RECIPIENT_ID             NUMBER(18, 0) ,
    TEMPLATE_ID              NUMBER(18, 0)     NOT NULL,
    OBJECT_GUID              VARCHAR2(128)     NOT NULL,
    DELIVER_TYPE             VARCHAR2(120)     NOT NULL,
    CHANNEL_TYPE             VARCHAR2(120)     NOT NULL,
    VALUE_EXPRESSION         VARCHAR2(4000)    NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    MODULE_ID                VARCHAR2(128) ,
    SGUID                    VARCHAR2(128) ,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    DELETED_FLAG             VARCHAR2(120)     NOT NULL,
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    RECIPIENT_ID             NUMBER(18, 0) ,
    TEMPLATE_ID              NUMBER(18, 0)     NOT NULL,
    DELIVER_TYPE             VARCHAR2(120)     NOT NULL,
    CHANNEL_TYPE             VARCHAR2(120)     NOT NULL,
    VALUE_EXPRESSION         VARCHAR2(4000)    NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    MODULE_ID                VARCHAR2(128) ,
    SGUID                    VARCHAR2(128) ,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    OBJECT_GUID              VARCHAR2(128)     NOT NULL,
    DELETED_FLAG             VARCHAR2(120)     NOT NULL,
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_hrc_alert_recipients PRIMARY KEY (RECIPIENT_ID, RECIPIENT_ID)
);
